Package org.drinkless.tdlib

# Class TdApi.BanChatMember

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.BanChatMember

Enclosing class:
  TdApi

public static class TdApi.BanChatMember extends TdApi.Function<TdApi.Ok>
Bans a member in a chat; requires canRestrictMembers administrator right. Members can't be banned in private or secret chats. In supergroups and channels, the user will not be able to return to the group on their own using invite links, etc., unless unbanned first.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `bannedUntilDate`
  Point in time (Unix timestamp) when the user will be unbanned; 0 if never.
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.MessageSender`
  `memberId`
  Member identifier.
  `boolean`
  `revokeMessages`
  Pass true to delete all messages in the chat for the user that is being removed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BanChatMember()`
  Default constructor for a function, which bans a member in a chat; requires canRestrictMembers administrator right.
  `BanChatMember(long chatId, TdApi.MessageSender memberId, int bannedUntilDate, boolean revokeMessages)`
  Creates a function, which bans a member in a chat; requires canRestrictMembers administrator right.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### memberId

    public TdApi.MessageSender memberId
    Member identifier.

  - ### bannedUntilDate

    public int bannedUntilDate
    Point in time (Unix timestamp) when the user will be unbanned; 0 if never. If the user is banned for more than 366 days or for less than 30 seconds from the current time, the user is considered to be banned forever. Ignored in basic groups and if a chat is banned.

  - ### revokeMessages

    public boolean revokeMessages
    Pass true to delete all messages in the chat for the user that is being removed. Always true for supergroups and channels.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BanChatMember

    public BanChatMember()
    Default constructor for a function, which bans a member in a chat; requires canRestrictMembers administrator right. Members can't be banned in private or secret chats. In supergroups and channels, the user will not be able to return to the group on their own using invite links, etc., unless unbanned first.

    Returns `Ok`

  - ### BanChatMember

    public BanChatMember(long chatId, TdApi.MessageSender memberId, int bannedUntilDate, boolean revokeMessages)
    Creates a function, which bans a member in a chat; requires canRestrictMembers administrator right. Members can't be banned in private or secret chats. In supergroups and channels, the user will not be able to return to the group on their own using invite links, etc., unless unbanned first.

    Returns `Ok`

    Parameters:
      `chatId` - Chat identifier.
      `memberId` - Member identifier.
      `bannedUntilDate` - Point in time (Unix timestamp) when the user will be unbanned; 0 if never. If the user is banned for more than 366 days or for less than 30 seconds from the current time, the user is considered to be banned forever. Ignored in basic groups and if a chat is banned.
      `revokeMessages` - Pass true to delete all messages in the chat for the user that is being removed. Always true for supergroups and channels.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR